DriveCarsWindow = ISCollapsableWindow:derive("DriveCarsWindow");
DriveCarsWindow.compassLines = {}
function DriveCarsWindow:initialise()
	ISCollapsableWindow.initialise(self);
end

function DriveCarsWindow:new(x, y, width, height)
	local o = {};
	o = ISCollapsableWindow:new(x, y, width, height);
	setmetatable(o, self);
	self.__index = self;
	o.title = "Driving Cars Mod Instructions";
	o.pin = false;
	o:noBackground();
	return o;
end

function DriveCarsWindow:setText(newText)
	DriveCarsWindow.HomeWindow.text = newText;
	DriveCarsWindow.HomeWindow:paginate();
end


function DriveCarsWindow:createChildren()
	ISCollapsableWindow.createChildren(self);
	self.HomeWindow = ISRichTextPanel:new(0, 16, 375, 455);
	self.HomeWindow:initialise();
	self.HomeWindow.autosetheight = false
	self.HomeWindow:ignoreHeightChange()
	self:addChild(self.HomeWindow)
end

function DriveCarsCreateWindow()
	DriveCarsWindow = DriveCarsWindow:new(35, 250, 375, 455)
	DriveCarsWindow:addToUIManager();
	DriveCarsWindow:setVisible(false);
	DriveCarsWindow.pin = true;
	DriveCarsWindow.resizable = true
end

Events.OnGameStart.Add(DriveCarsCreateWindow);